> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify generated document

> Verify a generated PDF document by its internal ID and return metadata.



## OpenAPI

````yaml /openapi.json get /api/v1/export/verify/{doc_id}
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/export/verify/{doc_id}:
    get:
      tags:
        - Exports
      summary: Verify generated document
      description: Verify a generated PDF document by its internal ID and return metadata.
      operationId: verify_document_api_v1_export_verify__doc_id__get
      parameters:
        - name: doc_id
          in: path
          required: true
          schema:
            type: string
            title: Doc Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentVerifyResponse'
        '404':
          description: Document not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DocumentVerifyResponse:
      properties:
        createdAt:
          type: string
          format: date-time
          title: Createdat
        hash:
          type: string
          title: Hash
        link:
          type: string
          title: Link
        creatorName:
          type: string
          title: Creatorname
        creatorEmail:
          type: string
          title: Creatoremail
      type: object
      required:
        - createdAt
        - hash
        - link
        - creatorName
        - creatorEmail
      title: DocumentVerifyResponse
      description: Response for document verification by internal_id.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````